%define name kdebase-servicemenu

Name: kdebase-servicemenu
Summary: Service Menu for kdebase
Version: 2007
Release:	%mkrel 8
URL: http://www.mandriva.com
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	%name-%version.tar.bz2
Patch0:     kdebase-servicemenu-2007-fix-pdf.patch
License:		GPL
BuildArch: noarch
BuildRequires: intltool
BuildRequires: kde3-macros
Requires:   kdebase-progs

%description
Regroup all konqueror service menu.

%files
%defattr(-,root,root)
%dir %_kde3_datadir/apps/
%dir %_kde3_datadir/apps/konqueror/
%dir %_kde3_datadir/apps/konqueror/servicemenus/
%_kde3_datadir/apps/konqueror/servicemenus/*.desktop

#--------------------------------------------------------------------

%prep
rm -rf %buildroot

%setup -q
%patch0 -p0

%build

for i in *.desktop.in ; do intltool-merge -d -u po/ $i `(T=$i ; echo ${T/%.in/})`; done

%install

install -d -m 0755 %buildroot%_kde3_datadir/apps/konqueror/servicemenus/

install -m 0644 kdebase-3.5-compress-zip-file.desktop %buildroot%_kde3_datadir/apps/konqueror/servicemenus/compress-zip-file.desktop
 
install -m 0644 kdebase-3.5-compress-zip.desktop %buildroot%_kde3_datadir/apps/konqueror/servicemenus/compress-zip.desktop

install -m 0644 kdebase-3.1-convertpdftops.desktop %buildroot%_kde3_datadir/apps/konqueror/servicemenus/convertpdftops.desktop

install -m 0644 kdebase-3.1-convertpstopdf.desktop %buildroot%_kde3_datadir/apps/konqueror/servicemenus/convertpstopdf.desktop

install -m 0644 kdebase-3.5-uncompress-gz.desktop %buildroot%_kde3_datadir/apps/konqueror/servicemenus/uncompress-gz.desktop

install -m 0644 kdebase-3.5-uncompress-tgz.desktop %buildroot%_kde3_datadir/apps/konqueror/servicemenus/uncompress-tgz.desktop

install -m 0644 kdebase-3.5-uncompress-zip.desktop %buildroot%_kde3_datadir/apps/konqueror/servicemenus/uncompress-zip.desktop

install -m 0644 kdebase-3.2-lame-decode.desktop %buildroot%_kde3_datadir/apps/konqueror/servicemenus/lame-decode.desktop

install -m 0644 kdebase-3.2-lame-encode.desktop %buildroot%_kde3_datadir/apps/konqueror/servicemenus/lame-encode.desktop

install -m 0644 kdebase-3.2-mpg321-decode.desktop %buildroot%_kde3_datadir/apps/konqueror/servicemenus/mpg321-decode.desktop

install -m 0644 kdebase-3.2-oggdec.desktop %buildroot%_kde3_datadir/apps/konqueror/servicemenus/oggdec.desktop

install -m 0644 kdebase-3.2-oggenc.desktop %buildroot%_kde3_datadir/apps/konqueror/servicemenus/oggenc.desktop

install -m 0644 kdebase-3.2-convertpdftotxt.desktop %buildroot%_kde3_datadir/apps/konqueror/servicemenus/convertpdftotxt.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Jul 15 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2007-8mdv2009.0
+ Revision: 235706
- Add kde3-macros as BuildRequire
- Fix specfile layout
- Move to /opt

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2007-6mdv2009.0
+ Revision: 221769
- rebuild

* Tue Feb 26 2008 Nicolas Lécureuil <neoclust@mandriva.org> 2007-5mdv2008.1
+ Revision: 175444
- [BUGFIX] Fix servicemenu for pdf ( Bug #34037)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007-4mdv2008.1
+ Revision: 131600
- kill re-definition of %%buildroot on Pixel's request

* Fri Jul 13 2007 Adam Williamson <awilliamson@mandriva.com> 2007-4mdv2008.0
+ Revision: 51766
- rebuild for 2008
- drop workaround: KDE no longer uses 'no' instead of 'nb'


* Thu Sep 07 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-07 08:17:18 (60454)
- Use correct call to ark in zip mode ( --add-to )

* Thu Jul 27 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-27 23:54:17 (42345)
- Readd Requires on kdebase-progs

* Thu Jul 27 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-27 23:31:40 (42338)
- Uploaded to svn
- Fixed tarball name
- Fixed spec to match tarball
- Fixed compress/uncompress service menus based on graphical ark, instead of faulty
  zip/tar command line methods

* Thu Jul 27 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-07-27 22:25:57 (42326)
- import kdebase-servicemenu-2007-1mdv2007.0

* Wed Jul 19 2006 Laurent MONTEL <lmontel@mandriva.com> 2007-1
- Rebuild
- Fix requires

* Mon Oct 24 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-3mdk
- Fix compress file (bug found by Franois Bandet)

* Sat Aug 13 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-2mdk
- Fix rpmlint error reported by neoclust

* Tue Aug 09 2005 Laurent MONTEL <lmontel@mandriva.com> 2006-1mdk
- Fix bug #16760

* Tue Nov 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-4mdk
- Fix exclude iso from compress file

* Wed Oct 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-3mdk
- update po

* Fri Jun 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-2mdk
- Update po

* Thu Apr 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.1-1mdk
- Update po

* Fri Mar 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-7mdk
- Fix uncompress-gz and uncompress-tgz action (bug reported by pascal.billery-schneider@bluewin.ch)

* Fri Mar 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-6mdk
- Fix ExcludeType "devices/*" necessary for new devices type

* Fri Feb 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-5mdk
- Update po file

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-4mdk
- Update po file

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-3mdk
- Update po file

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-2mdk
- Fix menu

* Mon Dec 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-1mdk
- Use MDK version number

* Tue Dec 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-15mdk
- Add new service menu (pdftotext)

* Fri Nov 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-14mdk
- Update po

* Wed Oct 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-13mdk
- Fix trad

